## ros-melodic-toposens-description 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(toposens_description)

set(${PROJECT_NAME}_DEPS
  urdf
  xacro
)

find_package(
  catkin REQUIRED
  COMPONENTS ${${PROJECT_NAME}_DEPS}
)

catkin_package(
  CATKIN_DEPENDS ${${PROJECT_NAME}_DEPS}
)

install(DIRECTORY launch meshes rviz urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-toposens-description (2.1.0-1stretch) stretch; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.4-1stretch) stretch; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-melodic-toposens-description (2.0.3-1stretch) stretch; urgency=high



 -- Sebastian Dengler <dengler@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-melodic-toposens-description (2.0.2-1stretch) stretch; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Sebastian Dengler <dengler@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.1-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.0-1stretch) stretch; urgency=high

  * Rescaled STL and Collada files
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-melodic-toposens-description (1.3.0-1stretch) stretch; urgency=high

  * Added robot description for visualizing single sensor
  * Added Collada file for TS3 visualization
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-melodic-toposens-description (1.2.3-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.2-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.1-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.0-1stretch) stretch; urgency=high

  * Added rules to install launch, mesh, urdf & rviz files
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-melodic-toposens-description (1.1.0-1stretch) stretch; urgency=high

  * Added support for ROS Kinetic on Ubuntu 16.04
  * Enhanced setup guide for all packages
  * Added urdf for turtlebot with TS3
  * Contributors: Adi Singh, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-melodic-toposens-description (1.0.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.6-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.5-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.3-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.2-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.8.1-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-melodic-toposens-description (0.8.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-toposens-description (0.7.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-toposens-description (0.5.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Wed, 06 Feb 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-toposens-description
Section: misc
Priority: optional
Maintainer: Tobias Roth <roth@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-urdf, ros-melodic-xacro
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-melodic-toposens-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-urdf, ros-melodic-xacro
Description: 3D models of the sensor for visualization.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-toposens-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-toposens-description 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(toposens_description)

set(${PROJECT_NAME}_DEPS urdf xacro)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_DEPS})

catkin_package(CATKIN_DEPENDS ${${PROJECT_NAME}_DEPS})

install(DIRECTORY launch meshes rviz urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-toposens-description (2.3.2-1bionic) bionic; urgency=high



 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-melodic-toposens-description (2.3.1-1bionic) bionic; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-melodic-toposens-description (2.3.0-1bionic) bionic; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000

ros-melodic-toposens-description (2.2.1-1bionic) bionic; urgency=high

  * Update Maintainer
  * Contributors: Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 19 May 2021 22:00:00 -0000

ros-melodic-toposens-description (2.2.0-1bionic) bionic; urgency=high

  * Optimize launch file structure
  * Contributors: Dennis Maier

 -- Tobias Roth <roth@toposens.com>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-toposens-description (2.1.1-1bionic) bionic; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-toposens-description (2.1.0-1bionic) bionic; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.4-1bionic) bionic; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-melodic-toposens-description (2.0.3-1bionic) bionic; urgency=high



 -- Sebastian Dengler <dengler@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-melodic-toposens-description (2.0.2-1bionic) bionic; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Sebastian Dengler <dengler@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.1-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-melodic-toposens-description (2.0.0-1bionic) bionic; urgency=high

  * Rescaled STL and Collada files
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-melodic-toposens-description (1.3.0-1bionic) bionic; urgency=high

  * Added robot description for visualizing single sensor
  * Added Collada file for TS3 visualization
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-melodic-toposens-description (1.2.3-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.2-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.1-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-melodic-toposens-description (1.2.0-1bionic) bionic; urgency=high

  * Added rules to install launch, mesh, urdf & rviz files
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-melodic-toposens-description (1.1.0-1bionic) bionic; urgency=high

  * Added support for ROS Kinetic on Ubuntu 16.04
  * Enhanced setup guide for all packages
  * Added urdf for turtlebot with TS3
  * Contributors: Adi Singh, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-melodic-toposens-description (1.0.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.6-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.5-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.3-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.2-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.9.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-toposens-description (0.8.1-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-melodic-toposens-description (0.8.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-toposens-description (0.7.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-toposens-description (0.5.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Wed, 06 Feb 2019 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-toposens-description
 Section: misc
 Priority: optional
-Maintainer: Tobias Roth <roth@toposens.com>
+Maintainer: Dennis Maier <maier@toposens.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-urdf, ros-melodic-xacro
 Homepage: https://toposens.com
 Standards-Version: 3.9.2
